mmv2 {cycleRtools} | R Documentation

## Efficient maximal mean values.

### Description

A more efficient implementation of `mmv`. Simply takes a vector (`x`) of values and rolls over them element wise by `windows`. Returns a vector of maximum mean values for each window. `NA`s are not ignored.

### Usage

    mmv2(x, windows)

### Arguments

`x` | a numeric vector of values.
`windows` | window size(s) (in element units) for which to generate maximum mean values.

### Value

a vector of `length(windows)`.

### Examples

    x <- rnorm(100, 500, 200)
    mmv2(x, windows = c(5, 10, 20))

[Package cycleRtools version 1.1.1 Index]